Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Atk::Implementor Class Reference

An AtkImplementor C++ wrapper class. More...

`#include <xfc/atk/implementor.hh>`

Inheritance diagram for Xfc::Atk::Implementor:

List of all members.

## Public Member Functions

Accessors

- AtkImplementor * atk_implementor () const
    Get a pointer to the AtkImplementor structure.
- operator AtkImplementor * () const
    Conversion operator; safely converts an Implementor to an AtkImplementor pointer.
- Pointer< Object > ref_accessible () const
    Gets a reference to an object's Atk::Object implementation, if the object implements the Implementor interface.

## Protected Member Functions

Constructors

- Implementor ()
    Constructs a new Implementor object.
- virtual ~Implementor ()=0
    Destructor.

## Detailed Description

An AtkImplementor C++ wrapper class.

Implementor is an interface providing access to a G::Object's Atk::Object implementation. This interface is implemented by Gtk::Widget (see ref_accessible()).

## Member Function Documentation

Pointer<Object> Xfc::Atk::Implementor::ref_accessible | ( |  | ) | const

Gets a reference to an object's Atk::Object implementation, if the object implements the Implementor interface.

Returns:
  A smart pointer to an object's Atk::Object implementation.

Gtk::Widget implements this interface. Calling Gtk::Widget::get_accessible() is the same calling this method on a widget, except this method returns a smart pointer because it increments the Atk::Object's reference count, get_accessible() does not.

The documentation for this class was generated from the following file:

- implementor.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3